Bug 512147 (CVE-2009-2472) - CVE-2009-2472 Mozilla multiple cross origin wrapper bypasses
Summary: CVE-2009-2472 Mozilla multiple cross origin wrapper bypasses
Status: CLOSED ERRATA
Alias: CVE-2009-2472
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=mozilla,report...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 14:30 UTC by Josh Bressers
Modified: 2019-06-08 12:47 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-12 18:19:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1162 normal SHIPPED_LIVE Critical: firefox security update 2009-07-22 01:26:00 UTC

Description Josh Bressers 2009-07-16 14:30:54 UTC
Mozilla security researcher moz_bug_r_a4 reported a series of
vulnerabilities in which objects that normally receive a
XPCCrossOriginWrapper are constructed without the wrapper. This can lead to
cases where JavaScript from one website may unsafely access properties of
such an object which had been set by a different website. A malicious
website could use this vulnerability to launch a XSS attack and run
arbitrary JavaScript within the context of another site.

Comment 2 errata-xmlrpc 2009-07-22 01:26:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1162 https://rhn.redhat.com/errata/RHSA-2009-1162.html

Comment 3 Jan Lieskovsky 2009-07-22 18:58:06 UTC
MITRE's CVE-2009-2472 entry:

Mozilla Firefox before 3.0.12 does not always use
XPCCrossOriginWrapper when required during object construction, which
allows remote attackers to bypass the Same Origin Policy and conduct
cross-site scripting (XSS) attacks via a crafted document, related to
a "cross origin wrapper bypass."

References:
----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2472
http://www.mozilla.org/security/announce/2009/mfsa2009-40.html
https://bugzilla.mozilla.org/show_bug.cgi?id=479288
https://bugzilla.mozilla.org/show_bug.cgi?id=481434
https://bugzilla.mozilla.org/show_bug.cgi?id=497102
http://www.securityfocus.com/bid/35758
http://secunia.com/advisories/35914
http://secunia.com/advisories/35944
http://www.vupen.com/english/advisories/2009/1972

Comment 4 Fedora Update System 2009-07-23 19:13:46 UTC
devhelp-0.22-10.fc10, blam-1.8.5-12.fc10, gecko-sharp2-0.13-10.fc10, galeon-2.0.7-12.fc10, gnome-python2-extras-2.19.1-32.fc10, evolution-rss-0.1.2-8.fc10, gnome-web-photo-0.3-20.fc10, mozvoikko-0.9.5-12.fc10, google-gadgets-0.10.5-8.fc10, kazehakase-0.5.6-4.fc10.4, mugshot-1.2.2-11.fc10, yelp-2.24.0-11.fc10, ruby-gnome2-0.19.0-3.fc10.1, Miro-2.0.5-2.fc10, epiphany-2.24.3-8.fc10, pcmanx-gtk2-0.3.8-11.fc10, xulrunner-1.9.0.12-1.fc10, firefox-3.0.12-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.